Bug 1725152 - WebUI redirects input to search field when typing '/' or '.' in Administer>Settings>RemoteExecution>Default SSH password
Summary: WebUI redirects input to search field when typing '/' or '.' in Administer>Se...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Settings
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-28 14:17 UTC by patalber
Modified: 2020-06-23 22:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-25 06:04:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26076 Normal Closed Search bar 'slash' to focus shortcut shouldn't work from other inputs 2020-06-23 22:53:47 UTC
Red Hat Knowledge Base (Solution) 4254451 None None None 2020-06-23 22:55:22 UTC

Description patalber 2019-06-28 14:17:59 UTC
Description of problem:
The customer is trying to enter an HTTPS proxy URL into the settings and when they enter a '/' or a '.', their input is redirected to the search field at the top automatically. This issue occurs in every field in settings that take keyboard input (tested in several fields in General as well as Ansible tabs).

There is currently a workaround of copying and pasting the full URL (or text) from another source into the field, but I believe that this issue is easily resolved and could cause some headaches for customers.

Version-Release number of selected component (if applicable):
Satellite 6.5

How reproducible:
100%

Steps to Reproduce:
1. Open Administer > Settings in the 6.5 WebUI
2. Choose a tab with a field that takes keyboard input
3. Type a '/' or a '.'.

Actual results:
Input redirected to search bar

Expected results:
The character being input into the field (IE: for a URL)

Additional info:

Comment 3 Amy 2019-07-11 15:20:47 UTC
Regarding case 02404514

If you type '.' in Administrator > Settings > RemoteExecution > 'Default SSH password' (edit), the cursor jumps to the 'Filter' search field under Settings (top).  You can successfully copy/paste '.' in this field.

This behaviour is noticed in Chrome and only newer versions of Firefox. This functionality is successful when using Firefox v60 and v62, however not later versions.

Comment 4 Marek Hulan 2020-05-25 06:04:43 UTC
This has been fixed in 6.6


Note You need to log in before you can comment on or make changes to this bug.